Bug 1073376 - Review Request: lohit-gurmukhi-fonts - Free Gurmukhi truetype font for Punjabi language
Summary: Review Request: lohit-gurmukhi-fonts - Free Gurmukhi truetype font for Punjab...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-06 10:21 UTC by Pravin Satpute
Modified: 2014-03-11 05:01 UTC (History)
2 users (show)

Fixed In Version: lohit-gurmukhi-fonts-2.91.0-2.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-11 05:01:34 UTC
Type: Bug
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Comment 1 Pravin Satpute 2014-03-06 10:28:29 UTC
Additional Information: This package was earlier know as lohit-punjabi-fonts, see change proposal for more information https://fedoraproject.org/wiki/Changes/Lohit_Odia_Gurmukhi

Comment 2 Parag AN(पराग) 2014-03-07 05:22:43 UTC
Review:

+ Package built fine in mock rawhide

+ Source verified with upstream as (sha1256sum)
srpm tarball : 6c2e6a6298e8c527fab30d248d3570be7eb5115b6ce36d180e90f0ff6c37e92c
upstream tarball : 6c2e6a6298e8c527fab30d248d3570be7eb5115b6ce36d180e90f0ff6c37e92c

- rpmlint on generated rpms gave output
lohit-gurmukhi-fonts.noarch: W: spelling-error %description -l en_US truetype -> true type, true-type, trumpeter
lohit-gurmukhi-fonts.noarch: W: dangling-symlink /etc/fonts/conf.d/30-lohit-gurmukhi.conf /usr/share/fontconfig/conf.avail/builddir/build/SOURCES/lohit-gurmukhi-fonts.conf
lohit-gurmukhi-fonts.src: W: spelling-error %description -l en_US truetype -> true type, true-type, trumpeter
2 packages and 0 specfiles checked; 0 errors, 3 warnings.


+ This package provides correct locale (pa) for the Gurmukhi language
    config(lohit-gurmukhi-fonts)
    font(:lang=pa)
    font(lohitgurmukhi)
    lohit-gurmukhi-fonts
    lohit-punjabi-fonts


+ License is OFL and included in font file as well as separate text file OFL.txt

Suggestions:
1)you should be using 
Obsoletes: lohit-punjabi-fonts < 2.5.3-4
2)and fix the dangling-symlink rpmlint warning.
3) Use BR: python2

Comment 4 Parag AN(पराग) 2014-03-07 08:48:43 UTC
Still not following in spec
Obsoletes:      lohit-punjabi-fonts < 2.5.3-4

but you can add this at time of fedora package initial import.

APPROVED.

Comment 5 Pravin Satpute 2014-03-10 07:49:02 UTC
New Package SCM Request
=======================
Package Name: lohit-gurmukhi-fonts
Short Description: Free Gurmukhi truetype font for Punjabi language
Owners: pravins
Branches:
InitialCC: i18n-team fonts-sig

Comment 6 Gwyn Ciesla 2014-03-10 11:59:45 UTC
Git done (by process-git-requests).

Comment 7 Pravin Satpute 2014-03-11 05:01:34 UTC
Build done for rawhide http://koji.fedoraproject.org/koji/taskinfo?taskID=6620425

Thanks Parag for detailed review and Jon for GIT process.


Note You need to log in before you can comment on or make changes to this bug.